type __VLS_Props = {
    value: string;
};
declare const _default: import('vue').DefineComponent<__VLS_Props, {
    updateTextContent: () => void;
}, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {} & {
    update: (payload: string) => any;
}, string, import('vue').PublicProps, Readonly<__VLS_Props> & Readonly<{
    onUpdate?: ((payload: string) => any) | undefined;
}>, {}, {}, {}, {}, string, import('vue').ComponentProvideOptions, false, {
    editorViewRef: HTMLDivElement;
    menuRef: HTMLDivElement;
}, HTMLDivElement>;
export default _default;
